### is_lower, is_upper, is_triangle, is_unit -- Format check

    if (a%is_triangle()) then
    if (a%is_upper()) then
    if (a%is_lower()) then
    if (a%is_unit()) then

Type:
  Asynchronous.
On Entry
a
  the sparse matrix
  Scope: local

On Return
Function value
  A `logical` value indicating whether the matrix is triangular; if `is_triangle()` returns `.true.` check also if it is lower, upper and with a unit (i.e. assumed) diagonal.